dist2full.fcn <- function(dis) {


# Function:   dist2full.fcn
# Programmer: Tom Kincaid
# Date:       October 17, 2000
# Description:
#   This function reorganizes the vector output from the S-PLUS distance
#   function (dist) into a matrix.


   n <- attr(dis, "Size")
   full <- matrix(0, n, n)
   full[lower.tri(full)] <- dis
   full + t(full)
}
